.\" $Id: apropos.man,v 2.0 1992/09/13 05:09:30 rosenkra Exp $
.\"
.\" $Log: apropos.man,v $
.\" Revision 2.0  1992/09/13  05:09:30  rosenkra
.\" total rewrite. this is first rev.
.\" 
.TH APROPOS 1
.SH NAME
apropos \- find pertinent online documentation
.SH SYNOPSIS
.B apropos
[
.B \-P
.I path
] [
.B \-s
.I section
]
.IR word ...
.SH DESCRIPTION
The
.B apropos
command displays a one line synopsis of each online documentation
file whose name or description contains a specified
.I word
or whose keywords listed in the
.I whatis
databases matches the specified
.IR word .
Once you know what you are looking for, use
.IR man (1)
to read the appropriate documentation.
.PP
The argument
.I word
is considered separately from each other word.
The case of letters is ignored.
.SH OPTIONS
The following switch options are recognized:
.IP "\fB\-P \fIpath\fR"
if a valid
.I path
is given,
.B apropos
searches for the databases there (see ENVIRONMENT).
.IP "\fB\-s \fIsection\fR"
search only for items from the specified
.IR section .
This should be a single character representing a section of the
manual, i.e., from the list:
.nf

	0123456789lno
.fi
.SH EXAMPLE
Try \*(lqapropos editor\*(rq and \*(lqapropos disk\*(rq to get a feel
for what
.B apropos
does.
.SH ENVIRONMENT
.B Apropos
searches for the database file in the directory contained
in the
.B MANPATH
environment variable.
Note that the
.B \-P
option overrides this.
If neither
.B MANPATH
or
.B \-P
are specified, a default path of ``d:/usr/man'' is used.
.SH NOTES
.B Apropos
performs a simple string search.
For example, \*(lqapropos man\*(rq finds all instances of command,
manipulate, mantissa, permanent, and so forth.
.SH FILES
.nf
MANPATH/whatis._?_	online documentation database file
.fi
.SH "SEE ALSO"
man(1), whatis(1), whatisin(1), whereis(1)
.SH AUTHOR
Bill Rosenkranz
.br
rosenkra@convex.com
.SH VERSION
apropos 2.0.1 92/9/12 rosenkra
